/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * MedicalConsultationResponse
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class MedicalConsultationResponse {
  @SerializedName("consultation_id")
  private String consultationId = null;

  public MedicalConsultationResponse consultationId(String consultationId) {
    this.consultationId = consultationId;
    return this;
  }

   /**
   * Consultation identifier
   * @return consultationId
  **/
  @ApiModelProperty(required = true, value = "Consultation identifier")
  public String getConsultationId() {
    return consultationId;
  }

  public void setConsultationId(String consultationId) {
    this.consultationId = consultationId;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    MedicalConsultationResponse medicalConsultationResponse = (MedicalConsultationResponse) o;
    return Objects.equals(this.consultationId, medicalConsultationResponse.consultationId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(consultationId);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class MedicalConsultationResponse {\n");
    
    sb.append("    consultationId: ").append(toIndentedString(consultationId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

